

INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (1, 'SOAP Envelope', NULL, 'http://www.w3.org/2003/05/soap-envelope', NULL, 'Envelope');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (2, 'SOAP Body', NULL, 'http://www.w3.org/2003/05/soap-envelope', NULL, 'Body');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (3, 'SOAP Header', NULL, 'http://www.w3.org/2003/05/soap-envelope', NULL, 'Header');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (4, 'CDA', 'CDA', 'urn:hl7-org:v3', NULL, 'ClinicalDocument');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (5, 'HL7V3', 'HL7V3', 'urn:hl7-org:v3', NULL, '([A-Z]{4}_[A-Z]{2}[0-9]{6})([A-Z]{2}[0-9]{2})');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (6, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'Subscribe');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (7, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'SubscribeResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (8, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'Unsubscribe');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (9, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'UnsubscribeResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (10, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'Notify');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (11, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'CreatePullPoint');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (12, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'CreatePullPointResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (13, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'DestroyPullPoint');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (14, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'DestroyPullPointResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (15, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'GetMessages');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (16, 'DSUB', 'DSUB', 'http://docs.oasis-open.org/wsn/b-2', NULL, 'GetMessagesResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (17, 'XDS', 'XDS', 'urn:ihe:iti:xds-b:2007', NULL, 'ProvideAndRegisterDocumentSetRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (18, 'XDS', 'XDS', 'urn:ihe:iti:xds-b:2007', NULL, 'RetrieveDocumentSetRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (19, 'XDS', 'XDS', 'urn:ihe:iti:xds-b:2007', NULL, 'RetrieveDocumentSetResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (20, 'XDS', 'XDS', NULL, NULL, 'RetrieveImagingDocumentSetRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (21, 'XDS', 'XDS', NULL, NULL, 'CatalogContentRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (22, 'XDS', 'XDS', NULL, NULL, 'CatalogContentResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (23, 'XDS', 'XDS', NULL, NULL, 'ValidateContentRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (24, 'XDS', 'XDS', NULL, NULL, 'ValidateContentResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (25, 'XDS', 'XDS', NULL, NULL, 'AcceptObjectsRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (26, 'XDS', 'XDS', NULL, NULL, 'ApproveObjectsRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (27, 'XDS', 'XDS', NULL, NULL, 'DeprecateObjectsRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (28, 'XDS', 'XDS', NULL, NULL, 'RelocateObjectsRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (29, 'XDS', 'XDS', NULL, NULL, 'RemoveObjectsRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (30, 'XDS', 'XDS', NULL, NULL, 'SubmitObjectsRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (31, 'XDS', 'XDS', NULL, NULL, 'UndeprecateObjectsRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (32, 'XDS', 'XDS', NULL, NULL, 'UpdateObjectsRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (33, 'XDS', 'XDS', NULL, NULL, 'AdhocQueryQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (34, 'XDS', 'XDS', 'urn:oasis:names:tc:ebxml-regrep:xsd:query:3.0', NULL, 'AdhocQueryRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (35, 'XDS', 'XDS', 'urn:oasis:names:tc:ebxml-regrep:xsd:query:3.0', NULL, 'AdhocQueryResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (36, 'XDS', 'XDS', NULL, NULL, 'AssociationQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (37, 'XDS', 'XDS', NULL, NULL, 'AuditableEventQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (38, 'XDS', 'XDS', NULL, NULL, 'ClassificationNodeQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (39, 'XDS', 'XDS', NULL, NULL, 'ClassificationQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (40, 'XDS', 'XDS', NULL, NULL, 'ClassificationSchemeQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (41, 'XDS', 'XDS', NULL, NULL, 'ExternalIdentifierQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (42, 'XDS', 'XDS', NULL, NULL, 'ExternalLinkQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (43, 'XDS', 'XDS', NULL, NULL, 'ExtrinsicObjectQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (44, 'XDS', 'XDS', NULL, NULL, 'FederationQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (45, 'XDS', 'XDS', NULL, NULL, 'NotificationQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (46, 'XDS', 'XDS', NULL, NULL, 'OrganizationQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (47, 'XDS', 'XDS', NULL, NULL, 'PersonQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (48, 'XDS', 'XDS', NULL, NULL, 'RegistryPackageQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (49, 'XDS', 'XDS', NULL, NULL, 'RegistryQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (50, 'XDS', 'XDS', NULL, NULL, 'ServiceBindingQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (51, 'XDS', 'XDS', NULL, NULL, 'ServiceQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (52, 'XDS', 'XDS', NULL, NULL, 'SpecificationLinkQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (53, 'XDS', 'XDS', NULL, NULL, 'SubscriptionQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (54, 'XDS', 'XDS', NULL, NULL, 'UserQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (55, 'XDS', 'XDS', NULL, NULL, 'AdhocQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (56, 'XDS', 'XDS', NULL, NULL, 'QueryExpression');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (57, 'XDS', 'XDS', NULL, NULL, 'RegistryRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (58, 'XDS', 'XDS', 'urn:oasis:names:tc:ebxml-regrep:xsd:rs:3.0', NULL, 'RegistryResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (59, 'XDW', 'XDW', 'urn:ihe:iti:2011:xdw', NULL, 'XDW.WorkflowDocument');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (60, 'AUDIT_MESSAGE', 'AUDIT_MESSAGE', NULL, NULL, 'AuditMessage');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (61, 'HPD', 'HPD', 'urn:oasis:names:tc:DSML:2:0:core', NULL, 'batchRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (62, 'HPD', 'HPD', NULL, NULL, 'batchResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (63, 'SVS', 'SVS', NULL, NULL, 'RetrieveValueSetResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (64, 'SVS', 'SVS', NULL, NULL, 'RetrieveMultipleValueSetsResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (65, 'SVS', 'SVS', NULL, NULL, 'RetrieveValueSetRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (66, 'SVS', 'SVS', 'urn:ihe:iti:svs:2008', NULL, 'RetrieveMultipleValueSetsRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (67, 'CH:ADR', 'XML', 'urn:oasis:names:tc:xacml:2.0:context:schema:os', NULL, 'XACMLAuthzDecisionQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (68, 'CH:ADR', 'XML', 'urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:protocol', NULL, 'XACMLAuthzDecisionQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (69, 'CH:PPQ-1', 'XML', 'urn:e-health-suisse:2015:policy-administration', NULL, 'AddPolicyRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (70, 'CH:PPQ-1', 'XML', 'urn:e-health-suisse:2015:policy-administration', NULL, 'UpdatePolicyRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (71, 'CH:PPQ-1', 'XML', 'urn:e-health-suisse:2015:policy-administration', NULL, 'EprPolicyRepositoryResponse');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (72, 'CH:PPQ-1', 'XML', 'urn:e-health-suisse:2015:policy-administration', NULL, 'DeletePolicyRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (73, 'CH:PPQ-1', 'XML', 'urn:e-health-suisse:2015:policy-administration', NULL, 'UnknownPolicySetId');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (74, 'CH:PPQ-2', 'XML', 'urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:protocol', NULL, 'XACMLPolicyQuery');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (75, 'XACML Response', 'XML', 'urn:oasis:names:tc:SAML:2.0:protocol', NULL, 'Response');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (76, 'SOAP Fault', NULL, NULL, NULL, 'Fault');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (77, 'WSTrust', 'XML', 'http://docs.oasis-open.org/ws-sx/ws-trust/200512', NULL, 'RequestSecurityToken');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (78, 'WSTrust', 'XML', 'http://docs.oasis-open.org/ws-sx/ws-trust/200512', NULL, 'RequestSecurityTokenResponseCollection');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (79, 'SAML', 'SAML', 'urn:oasis:names:tc:SAML:2.0:assertion', NULL, 'Assertion');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (80, 'XDS', 'XDS', 'urn:oasis:names:tc:ebxml-regrep:xsd:lcm:3.0', '', 'SubmitObjectsRequest');
INSERT INTO public.mca_xml_tag_config (id, doc_type, validation_type, namespace, sample, tag_name) VALUES (81, 'B64PDF', 'PDF', 'urn:hl7-org:v3', '', '/*[local-name()=''value''][@mediaType=''application/pdf''][@representation=''B64'']');

-- SELECT pg_catalog.setval('public.mca_xml_tag_config_seq', 81, true);
ALTER SEQUENCE public.mca_xml_tag_config_seq RESTART WITH 81;
